Canonical AdCP get_products fan-out (progressive)
curl --request POST \
--url https://api.semicola.com/api/v2/buyer/products/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"brief": "<string>",
"idempotency_key": "<string>",
"context": {},
"ext": {
"semicola": {
"advertiser_id": 123,
"campaign_id": "<string>",
"execution_id": "<string>"
}
}
}
'import requests
url = "https://api.semicola.com/api/v2/buyer/products/query"
payload = {
"brief": "<string>",
"idempotency_key": "<string>",
"context": {},
"ext": { "semicola": {
"advertiser_id": 123,
"campaign_id": "<string>",
"execution_id": "<string>"
} }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
brief: '<string>',
idempotency_key: '<string>',
context: {},
ext: {
semicola: {advertiser_id: 123, campaign_id: '<string>', execution_id: '<string>'}
}
})
};
fetch('https://api.semicola.com/api/v2/buyer/products/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "submitted",
"products": [
{}
],
"cache_scope": "account",
"ext": {
"semicola": {
"execution_id": "<string>",
"revision": 4503599627370495,
"results_complete": true,
"provisional": true,
"candidate_count": 4503599627370495,
"storefront_results": [
{
"storefront_id": "<string>",
"storefront_name": "<string>",
"status": "pending",
"product_count": 4503599627370495,
"response_time_ms": 4503599627370495,
"error": "<string>"
}
],
"pending_agents": [
{
"agent_id": "<string>",
"agent_name": "<string>",
"storefronts": [
{
"storefront_id": "<string>",
"storefront_name": "<string>"
}
]
}
],
"poll_after_ms": 4503599627370495
}
},
"proposals": [
{}
],
"incomplete": [
{
"scope": "products",
"description": "<string>"
}
],
"context": {}
}Product Discovery
Canonical AdCP get_products fan-out (progressive)
POST
/
api
/
v2
/
buyer
/
products
/
query
Canonical AdCP get_products fan-out (progressive)
Authorizations
bearerAuthsessionCookie
API key or OAuth access token.
Headers
Required string length:
16 - 255Pattern:
^[A-Za-z0-9_.:-]+$Body
application/json
Response
OK
Available options:
submitted, working, input-required, completed, canceled, failed, rejected, auth-required, unknown Show child attributes
Show child attributes
Allowed value:
"account"Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes